Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for ClickHouse®
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • AddZookeeper
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • UpdateHosts
        • DeleteHosts
        • RestartHosts
        • GetShard
        • ListShards
        • AddShard
        • AddShards
        • UpdateShard
        • DeleteShard
        • DeleteShards
        • GetShardGroup
        • ListShardGroups
        • CreateShardGroup
        • UpdateShardGroup
        • DeleteShardGroup
        • ListExternalDictionaries
        • CreateExternalDictionary
        • UpdateExternalDictionary
        • DeleteExternalDictionary
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Yandex Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • ExternalShard
  • Replica
  1. API reference
  2. REST
  3. Cluster
  4. GetShardGroup

Managed Service for ClickHouse API, REST: Cluster.GetShardGroup

Written by
Yandex Cloud
Improved by
amatol
Updated at June 22, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • ExternalShard
  • Replica

Returns the specified shard group.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-clickhouse/v1/clusters/{clusterId}/shardGroups/{shardGroupName}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the cluster that the shard group belongs to.
To get the cluster ID, make a ClusterService.List request.

The maximum string length in characters is 50.

shardGroupName

string

Required field. Name of the shard group to request information about.
To get the name of a shard group, make a ClusterService.ListShardGroups request.

The maximum string length in characters is 63.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "clusterId": "string",
  "description": "string",
  "shardNames": [
    "string"
  ],
  "externalShards": [
    {
      "name": "string",
      "weight": "string",
      "replicas": [
        {
          "host": "string",
          "port": "string",
          "secure": "boolean",
          "user": "string",
          "password": "string",
          "priority": "string"
        }
      ]
    }
  ]
}

Field

Description

name

string

Name of the shard group.

clusterId

string

ID of the ClickHouse cluster that the shard group belongs to.

description

string

Description of the shard group. 0-256 characters long.

shardNames[]

string

List of shard names contained in the shard group.

externalShards[]

ExternalShard

List of external shards contained in the shard group.

ExternalShardExternalShard

Field

Description

name

string

Name of the external shard.

weight

string (int64)

Relative weight of the external shard considered when writing data to the cluster.

For details, see ClickHouse documentation.

replicas[]

Replica

List of replicas contained in the external shard.

ReplicaReplica

Field

Description

host

string

Name (FQDN) or IP address of the external replica host.

port

string (int64)

Port to connect to the external replica. If not specified, the default ClickHouse port is used.

secure

boolean

Whether to use a secure (SSL/TLS) connection when connecting to the external replica.

user

string

Name of the user to authenticate with on the external replica.

password

string

Password of the user to authenticate with on the external replica.

priority

string (int64)

Priority of the external replica for load balancing.
The replica with the lowest priority value is preferred when establishing a connection.

Was the article helpful?

Previous
DeleteShards
Next
ListShardGroups
© 2026 Direct Cursus Technology L.L.C.